Skip to content
cursareDocs
Sign inGet started
Documentation
  • Overview
  • Index2
  • Organization17
  • Sales6
  • Insights8
  • Reports and safety7
  • Minor accounts8
  • Minor safety3
  • Offers11
  • Media1
  • Contents10
  • Learner delivery1
  • Learner runtime5
  • Learners12
  • Cohorts12
  • Intake forms5
  • Campaigns4
  • Teams8
  • Affiliates7
  • Links7
  • Reviews1
  • Integrations26
  • MCP2
  • Webhooks6

MCP

MCP operations.

2 endpoints

List MCP connections for the organization

GET/mcp/connections

Lists organization-bound OAuth grants and dedicated headless API keys without tokens, hashes, or client secrets. Organization administrator only.

Responses

200List MCP connections for the organization.
401Missing, invalid or revoked API key.
403The key's organization does not own this resource.
429Rate limit exceeded (240 reads/min, 60 writes/min per key).
500Unexpected server error.
curl https://api.cursare.com/v1/mcp/connections \
  --header 'Authorization: Bearer cr_live_…'
{
  "data": [
    {
      "active": true,
      "clientId": "string",
      "clientName": "string",
      "connectedAt": "2026-01-31T12:00:00.000Z",
      "kind": "string",
      "scopes": [
        "string"
      ],
      "userId": "string",
      "userName": "string"
    }
  ]
}

Revoke one organization-bound MCP connection

DELETE/mcp/connections/{clientId}/{userId}

Revokes only the assistant, member, and current organization tuple. Grants for other organizations remain active. Organization administrator only.

Path parameters

clientIdstring

OAuth client id of the assistant.

userIdstring

Organization member who authorized it.

Responses

200Revoke one organization-bound MCP connection.
401Missing, invalid or revoked API key.
403The key's organization does not own this resource.
404The resource does not exist (or belongs to another org).
429Rate limit exceeded (240 reads/min, 60 writes/min per key).
500Unexpected server error.
curl https://api.cursare.com/v1/mcp/connections/{clientId}/{userId} \
  --request DELETE \
  --header 'Authorization: Bearer cr_live_…'
{
  "data": {
    "clientId": "string",
    "revoked": true,
    "userId": "string"
  }
}

Your privacy choices

The technical Tag Manager container is required to apply your choices. Analytics and marketing cookies and storage remain optional and stay off until you authorize them. Privacy Policy.

Sign-in, security, core functions and consent enforcement.

Audience measurement such as Google Analytics.

Marketing storage, campaign attribution and optional tags.